Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 984585

Summary: rlAssertBinaryOrigin - multiple installed packages with same NVR make it fail incorrectly
Product: [Fedora] Fedora Reporter: Petr Muller <pmuller>
Component: beakerlibAssignee: Petr Muller <pmuller>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 20CC: dkutalek, ohudlick, pmuller, psplicha
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: beakerlib-1.9-3.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 971347 Environment:
Last Closed: 2014-07-30 06:57:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1116308, 1116317    

Description Petr Muller 2013-07-15 14:01:51 UTC
+++ This bug was initially created as a clone of Bug #971347 +++

Description of problem:

On RHEL5:

# grep mysql-5 /var/log/messages 
Jun  5 17:01:52 hp-bl870c-01 yum: Updated: mysql-5.0.95-5.el5_9.ia64
Jun  5 17:02:31 hp-bl870c-01 yum: Installed: mysql-5.0.95-5.el5_9.i386

# rpm -q mysql --qf '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n'
mysql-5.0.95-5.el5_9.ia64
mysql-5.0.95-5.el5_9.i386

but

# rpm -q mysql
mysql-5.0.95-5.el5_9
mysql-5.0.95-5.el5_9

This rpm -q behaviour is different on RHEL6, where arch is printed by default.

Other similar issues can be caused by rpmdb issues, which can in strange state of mind report same package multiple times :-).

Then:

:: [ 22:40:44 ] :: [ ERROR   ] :: /usr/bin/mysql belongs to mysql-5.0.95-5.el5_9
:: [   FAIL   ] :: Binary 'mysql' should belong to: httpd curl gcc nc perl perl-libwww-perl libxml2 mysql-server php53-xml ruby mysql php53-odbc mysql-connector-odbc gdb php-pear postgresql postgresql-server postgresql-devel 

Version-Release number of selected component (if applicable):

beakerlib-1.7-1.el5

How reproducible:

Always

Steps to Reproduce:
1. install multiarch, or make rpmdb crazy somehow
2.
3.

Actual results:

False negative assert

Expected results:

Pass in this case

--- Additional comment from Petr Muller on 2013-07-15 09:56:12 EDT ---

https://git.fedorahosted.org/cgit/beakerlib.git/commit/?id=b04366368c9c43a6767062e6a74a0f3c40a82aa3

Comment 1 Petr Muller 2013-07-15 14:02:36 UTC
This is a tracking bug for getting this to Fedora

Comment 2 Fedora End Of Life 2013-09-16 17:01:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Fedora Update System 2014-06-17 13:42:29 UTC
beakerlib-1.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-1.fc20

Comment 4 Fedora Update System 2014-06-17 23:29:59 UTC
Package beakerlib-1.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7442/beakerlib-1.9-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-02 08:02:11 UTC
beakerlib-1.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-2.fc20

Comment 6 Dalibor Pospíšil 2014-07-04 08:50:59 UTC
Please consider the package fixing this bug available in Fedora stable repos once bz1116308 is closed and RHEL stable repos once bz1116317 is closed.

Fixed in:
beakerlib-1.9-2.fc19
beakerlib-1.9-2.fc20
beakerlib-1.9-2.fc21
beakerlib-1.9-3.el5
beakerlib-1.9-2.el6
beakerlib-1.9-2.el7

Comment 7 Fedora Update System 2014-07-17 13:16:11 UTC
beakerlib-1.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/beakerlib-1.9-3.fc20

Comment 8 Fedora Update System 2014-07-30 06:57:48 UTC
beakerlib-1.9-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.